更新TensorFlow
deep-learning
python
tensorflow
7
0

我正在使用Ubuntu 14.04 ,我有一个TensorFlow V0.10但我想更新此版本。如果我做:

$ pip install --upgrade $TF_BINARY_URL

但它打印:

Exception:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 122, in main
    status = self.run(options, args)
  File "/usr/lib/python2.7/dist-packages/pip/commands/install.py", line 278, in run
    requirement_set.prepare_files(finder, force_root_egg_info=self.bundle, bundle=self.bundle)
  File "/usr/lib/python2.7/dist-packages/pip/req.py", line 1198, in prepare_files
    do_download,
  File "/usr/lib/python2.7/dist-packages/pip/req.py", line 1376, in unpack_url
    self.session,
  File "/usr/lib/python2.7/dist-packages/pip/download.py", line 572, in unpack_http_url
    download_hash = _download_url(resp, link, temp_location)
  File "/usr/lib/python2.7/dist-packages/pip/download.py", line 433, in _download_url
    for chunk in resp_read(4096):
  File "/usr/lib/python2.7/dist-packages/pip/download.py", line 421, in resp_read
    chunk_size, decode_content=False):
  File "/usr/share/python-wheels/urllib3-1.7.1-py2.py3-none-any.whl/urllib3/response.py", line 225, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "/usr/share/python-wheels/urllib3-1.7.1-py2.py3-none-any.whl/urllib3/response.py", line 174, in read
    data = self._fp.read(amt)
  File "/usr/lib/python2.7/httplib.py", line 573, in read
    s = self.fp.read(amt)
  File "/usr/lib/python2.7/socket.py", line 380, in read
    data = self._sock.recv(left)
  File "/usr/lib/python2.7/ssl.py", line 341, in recv
    return self.read(buflen)
  File "/usr/lib/python2.7/ssl.py", line 260, in read
    return self._sslobj.read(len)
SSLError: The read operation timed out

Storing debug log for failure in /home/brm17/.pip/pip.log
参考资料:
Stack Overflow
收藏
评论
共 6 个回答
高赞 时间 活跃

Tensorflow升级-Python3

>> pip3 install --upgrade tensorflow --user

如果你有这个

“错误:张量板2.0.2要求grpcio> = 1.24.3,但是您将拥有不兼容的grpcio 1.22.0。”

升级grpcio

>> pip3 install --upgrade grpcio --user
收藏
评论

在尝试更新tensorflow之前尝试更新pip

pip install --upgrade pip

如果要从先前的TensorFlow <0.7.1安装进行升级,则应使用以下命令卸载先前的TensorFlowprotobuf

pip uninstall tensorflow

以确保您全新安装了protobuf依赖项。

卸载系统上的TensorFlow,然后查看下载和设置再次重新安装

如果您使用的是pip安装,请通过https://storage.googleapis.com/tensorflow检查可用版本,并使用linux / cpu / tensorflow搜索关键字以查看其可用性。

然后,设置下载路径并以sudo执行。

$ export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/linux/cpu/tensorflow-1.0.0-py2-none-any.whl

$ sudo pip install --upgrade $TF_BINARY_URL

有关更多详细信息,请点击此处的链接

收藏
评论

这是升级Tensorflow的官方建议。

要获得TensorFlow 1.5,您可以使用标准的pip安装(如果使用python3,则可以使用pip3)

$  pip install --ignore-installed --upgrade tensorflow
收藏
评论

对于anaconda安装,首先选择一个具有最新版本的tensorflow二进制文件的通道 。通常,最新版本可在conda-forge频道上获得。然后只需执行以下操作:

conda update -f -c conda-forge tensorflow

这会将您现有的tensorflow安装升级到可用的最新版本。撰写本文时,最新版本为1.4.0-py36_0

收藏
评论

要升级任何python软件包,请使用pip install <pkg_name> --upgrade

因此,在您的情况下,将是pip install tensorflow --upgrade 。刚刚更新到1.1.0

收藏
评论
(tensorflow)$ pip install --upgrade pip  # for Python 2.7
(tensorflow)$ pip3 install --upgrade pip # for Python 3.n

(tensorflow)$ pip install --upgrade tensorflow      # for Python 2.7
(tensorflow)$ pip3 install --upgrade tensorflow     # for Python 3.n
(tensorflow)$ pip install --upgrade tensorflow-gpu  # for Python 2.7 and GPU
(tensorflow)$ pip3 install --upgrade tensorflow-gpu # for Python 3.n and GPU

(tensorflow)$ pip install --upgrade tensorflow-gpu==1.4.1 # for a specific version

有关安装tensorflow的详细信息。

收藏
评论
新手导航
  • 社区规范
  • 提出问题
  • 进行投票
  • 个人资料
  • 优化问题
  • 回答问题

关于我们

常见问题

内容许可

联系我们

@2020 AskGo
京ICP备20001863号